package com.srs.comprehensive.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 优秀班级对象 cph_class_good
 *
 * @author srs
 * @date 2023-07-04
 */
public class CphClassGood extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 优秀班级id */
    private Long id;

    /** 班级id */
    @Excel(name = "班级id")
    private Long classId;

    /** 学年id */
    @Excel(name = "学年id")
    private Long yearId;

    /** 状态（0正常 */
    @Excel(name = "状态", readConverterExp = "状态（0正常")
    private String status;

    /** 删除标志（0代表存在 */
    private String delFlag;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setClassId(Long classId)
    {
        this.classId = classId;
    }

    public Long getClassId()
    {
        return classId;
    }
    public void setYearId(Long yearId)
    {
        this.yearId = yearId;
    }

    public Long getYearId()
    {
        return yearId;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("classId", getClassId())
                .append("yearId", getYearId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("status", getStatus())
                .append("delFlag", getDelFlag())
                .toString();
    }
}
